/*  Copyright (c) 2007-2008 Tomasz Moń
 *  Copyright (c) 2004 Artur Gajda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; under version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses>.
 */

#ifndef LISTA_H
#define LISTA_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <time.h>
#include <glib.h>

#include "net.h"

#define MAXLUDZI 100

extern int moj_id;

struct LUDZ {
    char host[50];
    char nick[30];
    time_t last_ping;
    int id;
    gboolean composing;
    gboolean away;
    char away_txt[256];
    char ip[16];
    struct INFO last_rcinfo;
    gboolean empty;
};

struct LUDZ lista[MAXLUDZI];

void lista_init();
int lista_update(const char *host, const char *nick, const char *ip, int id, struct INFO *info);
int lista_del_id(int id);
int lista_get_id_by_nick(char *nick);
int lista_get_gid_by_nick(char *nick);
gboolean lista_check_nick_availability(gchar *nick);
int lista_set_away(gint id, gboolean away, char *away_txt);
int lista_change_nick(gint id, char *newnick);
gchar* lista_get_ip_by_id(gint id);
int lista_get_gid_by_id(gint id);

#endif

